KDE 4.3 PyKDE API Reference

- KDE's Python API

# KSslErrorUiData Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, KTcpSocket socket)
| __init__ (self, KSslErrorUiData other)

## Method Documentation

__init__ | ( |  | self ) |

Default construct an instance with no useful data.

__init__ | ( | self, |
|  | KTcpSocket | socket
| ) |  |  |

Create an instance and initialize it with SSL error data from socket.

__init__ | ( | self, |
|  | KSslErrorUiData | other
| ) |  |  |